This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 493977 - kernel: i2c-adapter i2c-3: unable to read EDID block
kernel: i2c-adapter i2c-3: unable to read EDID block
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 11:05 EDT by Guil Barros
Modified: 2010-06-28 07:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment #5 dmesg.txt (47.25 KB, text/plain)
2009-07-09 15:28 EDT, Magnus Glantz
no flags Details
Comment #5 dmidecode (14.77 KB, text/plain)
2009-07-09 15:29 EDT, Magnus Glantz
no flags Details

  None (edit)
Description Guil Barros 2009-04-03 11:05:55 EDT
Description of problem:
Apr  3 09:50:37 x301 kernel: i2c-adapter i2c-3: unable to read EDID block.
Apr  3 09:50:37 x301 kernel: i915 0000:00:02.0: DVI-D-2: no EDID data

all over my logs since I installed F11 beta.


Version-Release number of selected component (if applicable):
Linux x301.bappos.com 2.6.29-0.258.2.3.rc8.git2.fc11.i686.PAE #1 SMP Tue Mar 24 18:38:20 EDT 2009 i686 i686 i386 GNU/Linux

This is a Lenovo x301 laptop.
Comment 1 Chuck Ebbert 2009-04-08 10:44:02 EDT
Try adding 'nomodeset' to the boot options.
Comment 2 Bug Zapper 2009-06-09 09:12:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Rakesh Pandit 2009-06-17 06:31:30 EDT
I get 

Jun 17 15:50:41 rocky kernel: i2c-adapter i2c-2: unable to read EDID block.
Jun 17 15:50:41 rocky kernel: i915 0000:00:02.0: DVI-D-1: no EDID data


On pressing fn-F7 key for switching to a connected LCD .. which does not work .. Is this related ?

This issue is for F11. Moreover I am not able to maximize any window to full screen:
http://rakesh.fedorapeople.org/misc/Screenshot.png

But this seems to different issue.

Thanks,
Comment 4 Antonio Gallardo 2009-06-26 10:54:17 EDT
I got same issue on a different video card:

Jun 26 08:39:54 localhost kernel: executing set pll
Jun 26 08:39:54 localhost kernel: executing set crtc timing
Jun 26 08:39:54 localhost kernel: [drm] LVDS-8: set mode 1680x1050 d
Jun 26 08:39:55 localhost kernel: i2c-adapter i2c-1: unable to read EDID block.
Jun 26 08:39:55 localhost kernel: radeon 0000:01:00.0: LVDS-1: no EDID data
Jun 26 08:39:55 localhost kernel: i2c-adapter i2c-1: unable to read EDID block.
Jun 26 08:39:55 localhost kernel: radeon 0000:01:00.0: LVDS-1: no EDID data
Jun 26 08:39:58 localhost kernel: i2c-adapter i2c-1: unable to read EDID block.
Jun 26 08:39:58 localhost kernel: radeon 0000:01:00.0: LVDS-1: no EDID data
Jun 26 08:39:58 localhost kernel: i2c-adapter i2c-1: unable to read EDID block.
Jun 26 08:39:58 localhost kernel: radeon 0000:01:00.0: LVDS-1: no EDID data
Jun 26 08:39:58 localhost kernel: i2c-adapter i2c-1: unable to read EDID block.
Jun 26 08:39:58 localhost kernel: radeon 0000:01:00.0: LVDS-1: no EDID data
Jun 26 08:40:17 localhost kernel: i2c-adapter i2c-1: unable to read EDID block.
Jun 26 08:40:17 localhost kernel: radeon 0000:01:00.0: LVDS-1: no EDID data

After that X Windows crashed and send me back to login GUI.

Kernel: 2.6.29.5-191.fc11.i586

Video:
01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]

Please let me know if I should provide more info.
Comment 5 Magnus Glantz 2009-07-09 15:25:51 EDT
I'm experiencing the same issue on a Lenovo T400 with FC11, all updates applied.

2.6.29.5-191.fc11.i686.PAE

00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)

I've attached a complete dmesg and dmicode output.

(In reply to comment #1)
> Try adding 'nomodeset' to the boot options.
I tried that without effect.

Booting with nomodeset:

ADDRCONF(NETDEV_UP): wlan0: link is not ready
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
[drm] TMDS-14: set mode 1024x768 13
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
virbr0: no IPv6 routers present
JBD: barrier-based sync failed on dm-5:8 - disabling barriers
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
Comment 6 Magnus Glantz 2009-07-09 15:28:30 EDT
Created attachment 351130 [details]
Comment #5 dmesg.txt

Booting with nomodeset.
Comment 7 Magnus Glantz 2009-07-09 15:29:48 EDT
Created attachment 351132 [details]
 Comment #5 dmidecode

dmicode from Lenovo T400
Comment 8 Tim W. 2009-07-17 11:24:14 EDT
I'm experiencing the same issue.  My hardware is a Dell Latitude D410, dual monitor.  My dual head setup (laptop screen + external monitor connected via DVI connector on docking station) worked under F10, but now is broken under F11.
Comment 9 Tom Schenk 2009-07-28 11:42:53 EDT
I'm getting the same messages in syslog with a slight twist.  When this message is written, the screen flashes.  I'm currently running the following kernel because upgrading to the most recent 213 kernel breaks sound badly (I've added comments to other bugs about that already).

# uname -r
2.6.29.5-191.fc11.i586

Here is a sample of the messages I'm getting in syslog:

i2c-adapter i2c-0: unable to read EDID block.
i915 0000:00:02.0: VGA-1: no EDID data
i2c-adapter i2c-0: unable to read EDID block.
i915 0000:00:02.0: VGA-1: no EDID data
[drm] TV-15: set mode NTSC 480i 0
[drm] TV-15: set mode NTSC 480i 0

And here is lspci -vv output relevant to my graphics controller:

00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03) (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company NC6220
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at d0400000 (32-bit, non-prefetchable) [size=512K]
        Region 1: I/O ports at 5000 [size=8]
        Region 2: Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Region 3: Memory at d0480000 (32-bit, non-prefetchable) [size=256K]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915

With all of these issues, I really wish that someone would increase the priority and urgency of these bugs.  I didn't have any of these problems on F10 and I'm really starting to regret updating all of my laptops to F11.
Comment 10 Mark Patton 2009-08-26 21:45:12 EDT
I have the same kernel messages. In addition, the X display sometimes gets corrupted. This happens when viewing an image with gthumb (but oddly enough not imagemajick display command line) and when trying to watch videos on youtube.

Linux kernel: 2.6.29.6-217.2.8.fc11.i586

Here's info about the hardware from lspci -vv:

00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Dell Inspiron 700m/710m
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at e0000000 (32-bit, non-prefetchable) [size=512K]
        Region 2: I/O ports at 1800 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915
Comment 11 Magnus Glantz 2009-08-30 07:00:01 EDT
lspci -vv from my Lenovo T400 experiencing the same issue, now running Fc11 all the latest patches applied.

2.6.29.6-217.2.16.fc11.i686.PAE #1 SMP Mon Aug 24 17:16:21 EDT 2009


# lspci -vv
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 20e4
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at f4400000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee0100c  Data: 41b1
	Capabilities: [d0] Power Management version 3
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: i915
	Kernel modules: i915

00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
	Subsystem: Lenovo Device 20f9
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at fc227400 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 1c60 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801
Comment 12 Maciej W. 2009-09-28 07:56:09 EDT
I also had a similar problem. All of the described problems were related to SELinux. After disabling SELinux everything is working great, better than ever :)

to disable SELinux :

run terminal

$ sudo vim /etc/selinux/config

you need to change one line to:

SELINUX=disabled

save file (press Esc and type ":wq", push enter) and reboot.

Njoy ^^
Comment 13 Magnus Glantz 2009-09-30 03:04:14 EDT
I would consider disabling SELinux a bad solution as it is a key security feature that you really want to keep turned on. It is interesting if the issue is SELinux related. I'll try and verify.
Comment 14 Maciej W. 2009-09-30 07:39:41 EDT
No need to test it. I can assure you that not only these issues are solved with disabling SELinux but also a lots of others programs (such as apache).

I really don't see how SELinux is helpful in any way. I would write more precisely: "SELinux chuja robi" - please check this in google.com/translate (polish -> english).

SELinux IS NOT a key feature to security!
Comment 15 Mark Patton 2009-10-21 13:34:02 EDT
Turning selinux off does not fix the X display problem for me.
Comment 16 Magnus Glantz 2009-10-21 15:41:59 EDT
I tested to set SELinux to 'disabled' without any affect on this issue.

(In reply to comment #14)
> No need to test it. I can assure you that not only these issues are solved with
> disabling SELinux but also a lots of others programs (such as apache).
> 
> I really don't see how SELinux is helpful in any way. I would write more
> precisely: "SELinux chuja robi" - please check this in google.com/translate
> (polish -> english).
> 
> SELinux IS NOT a key feature to security!
Keep in mind that the purpose of Bugzilla is to solve bugs. So try keep trolling to a minimum.

I'm not sure what you are basing this on. At http://docs.fedoraproject.org SELinux is not only dealt with in the Fedora Security Guide, but also in two separat documents that describes SELinux specifically. If it wasn't considered a key security feature, the Fedora Community wouldn't be spending such effort in making it available.

Disabling SELinux to get rid of any minor issues could be compared to removing all the doors in your house because they are making squeaky noises - It's an disproportional response for a small issue.
Comment 17 Chuck Ebbert 2009-10-22 16:08:32 EDT
(In reply to comment #14)
> No need to test it. I can assure you that not only these issues are solved with
> disabling SELinux but also a lots of others programs (such as apache).
> 

Where do you get these ideas from? I run with selinux enabled 100% of the time and don't have problems with "lots of other programs."
Comment 18 Bug Zapper 2010-04-27 09:28:55 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-06-28 07:40:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.